### Method

# Gsk GLShader get_uniform_type

#### Declaration [src]

    GskGLUniformType
    gsk_gl_shader_get_uniform_type (
      GskGLShader* shader,
      int idx
    )

#### Description [src]

Get the type of the declared uniform for this shader at index `idx`.

#### Parameters

`idx` | `int`
| Index of the uniform.

#### Return value

Returns: | `GskGLUniformType`
| The type of the declared uniform.